Gdk::PixbufError Class Reference

Exception class for Gdk::Pixbuf errors. More...

Inheritance diagram for Gdk::PixbufError:
[legend]

## Public Types

enum | Code { CORRUPT_IMAGE, INSUFFICIENT_MEMORY, BAD_OPTION, UNKNOWN_TYPE, UNSUPPORTED_OPERATION, FAILED }

## Public Member Functions

| PixbufError (Code error_code, const Glib::ustring& error_message)
| PixbufError (GError* gobject)
Code | code () const

## Detailed Description

Exception class for Gdk::Pixbuf errors.

## Member Enumeration Documentation

enum Gdk::PixbufError::Code

Enumerator
CORRUPT_IMAGE | An image file was broken somehow.
INSUFFICIENT_MEMORY | Not enough memory.
BAD_OPTION | A bad option was passed to a pixbuf save module.
UNKNOWN_TYPE | Unknown image type.
UNSUPPORTED_OPERATION | Don't know how to perform the given operation on the type of image at hand.
FAILED | Generic failure code, something went wrong.

## Constructor & Destructor Documentation

Gdk::PixbufError::PixbufError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gdk::PixbufError::PixbufError | ( | GError * | gobject | ) |

explicit

## Member Function Documentation

Code Gdk::PixbufError::code | ( |  | ) | const

The documentation for this class was generated from the following file:

- gdkmm/pixbuf.h